Wednesday, January 2, 2013

!!!updated - Google Play services is not supported on the Android emulator


update@2013-07-26

With Android SDK updated, Google Play services SDK is now supported in Android Emulator with AVD that runs the Google APIs platform based on Android 4.2.2 or higher. Read the updated post.



Please don't test your app using Google Play services API (include Google Maps Android API v2) on Android emulator, because Google Play services is not supported on the Android emulator — to develop using the APIs, you need to provide a development device such as an Android phone or tablet; refer Google Play services SDK document.

Google Play Store is missing

Google Play services is not supported on the Android emulator



5 comments:

Anonymous said...

Hello Sir,

Thanks a lot for your reply. Actually I tried to run google map application on my android device with google play services but i got " java.lang.IllegalAccessError: Class ref in pre-verified class resolved to unexpected implementation" Error.

Can you please tell me please why this error is occur? And how to solve it?

Please reply me as soon as early on my following email id: sneha2011.jobs@gmail.com

I really need your help.

Thanks a lot in advance.

Andr.oid Eric said...

Sorry, I can't repeat your case.

It should be something mis-match in lib.

Have you use Support Library? If yes, how to add the jar? use Android Tools - Add Support Library? manuall add in /libs/ under your project? or reference external jar?

abhishek paul said...

Hello,

I see many video online who actually make some adjustment in emulator and test there code. Can you able to make tutorial how to make changes in emulator and test Google Map V2. Much appreciated!!

Andr.oid Eric said...

hello abhishek paul,

As Google doc updated, you can test your app with Google Play Service in Emulator with AVD that runs the Google APIs platform based on Android 4.2.2 or higher.

read here Android Emulator now support Google Play services SDK.

Anonymous said...

I am using a Videocon phone with android 4.0 and it cannot sync any game data with google. Whenever i try to do so it says that google play services are not supported.